Index: WAeUP_SRP/trunk/Documents.py
===================================================================
--- WAeUP_SRP/trunk/Documents.py	(revision 2013)
+++ WAeUP_SRP/trunk/Documents.py	(revision 2013)
@@ -0,0 +1,84 @@
+#-*- mode: python; mode: fold -*-
+from Globals import InitializeClass
+from AccessControl import ClassSecurityInfo
+
+from Products.CMFCore.utils import UniqueObject, getToolByName
+from Products.CMFCore.permissions import View
+from Products.CMFCore.permissions import ModifyPortalContent
+from Products.CPSCore.CPSBase import CPSBase_adder, CPSBaseFolder
+from Products.CPSDocument.CPSDocument import CPSDocument
+
+
+import DateTime
+import csv,re
+import logging
+import Globals
+p_home = Globals.package_home(globals())
+i_home = Globals.INSTANCE_HOME
+
+
+class DocumentsFolder(CPSDocument): ###(
+    """
+    WAeUP DocumentsFolder containing StudyCourses
+    """
+    meta_type = 'DocumentsFolder'
+    portal_type = meta_type
+    security = ClassSecurityInfo()
+    use_catalog_for_folder_contents = True
+
+    security.declareProtected(View,"Title")
+    def Title(self):
+        """compose title"""
+        return "Documents Section"
+
+    def exportLocalRoles(self,portal_type): ###(
+        name = '%sLocalRoles' % portal_type
+        logger = logging.getLogger('Documents.DocumentsFolder.exportLocalRoles')
+        current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
+        logger.info('Start exporting %(name)s to %(name)s_%(current)s.csv' % vars())
+        objects = [f.getObject() for f in self.portal_catalog({'meta_type': portal_type})]
+        export = []
+        export.append('"code","users"')
+        #import pdb;pdb.set_trace()
+        for obj in objects:
+            lr = {}
+            for (username, roles) in obj.get_local_roles():
+                lr[ 'user:' + username ] = [x for x in roles]
+            for (groupname, roles) in obj.get_local_group_roles():
+                lr[ 'group:' + group ] = [x for x in roles]
+            logger.info('Exporting %s %s ' % (obj.id, lr))
+            export.append('"%s","%s"' % (obj.getId(),lr))
+        open("%s/import/%s-%s.csv" % (i_home,name,current),"w+").write('\n'.join(export))
+###)
+
+
+InitializeClass(DocumentsFolder)
+
+def addDocumentsFolder(container, id, REQUEST=None, **kw):
+    """Add a DocumentsFolder."""
+    ob = DocumentsFolder(id, **kw)
+    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+
+###)
+
+class WAeUPDocument(CPSDocument): ###(
+    """
+    WAeUP Document
+    """
+    meta_type = 'WAeUP Document'
+    portal_type = meta_type
+    security = ClassSecurityInfo()
+
+    def __init__(self, id, **kw):
+        CPSDocument.__init__(self, id, **kw)
+
+InitializeClass(WAeUPDocument)
+
+def addWAeUPDocument(container, id, REQUEST=None, **kw):
+    """Add a WAeUP Document."""
+    ob = WAeUPDocument(id, **kw)
+    return CPSBase_adder(container, ob, REQUEST=REQUEST)
+
+###)
+
+
Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 2012)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 2013)
@@ -509,5 +509,5 @@
                                           'CertificateCourse',]}
             widget_id = self.getWidgetId()
-            value = datastructure[widget_id].upper()
+            value = datastructure[widget_id]  #.upper()  is not necessary here because it's also done in waeup_document_create_do
             err = 0
             mapping = {}
Index: WAeUP_SRP/trunk/__init__.py
===================================================================
--- WAeUP_SRP/trunk/__init__.py	(revision 2012)
+++ WAeUP_SRP/trunk/__init__.py	(revision 2013)
@@ -76,7 +76,12 @@
      ("ScratchCards",
          ("ScratchCardBatch",
-         "ScratchCardBatchesFolder",
-         ),
-     )
+          "ScratchCardBatchesFolder",
+         )
+     ),
+     ("Documents",
+        ("DocumentsFolder",
+         "WAeUPDocument",
+        )
+     ),       
     )
 
Index: WAeUP_SRP/trunk/profiles/default/layouts/department.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/layouts/department.xml	(revision 2013)
@@ -30,11 +30,11 @@
  </widget>
  <widget name="code" meta_type="WAeUPId Widget">
-  <property name="title">Department ID</property>
+  <property name="title">Department Id</property>
   <property name="fields">
    <element value="code"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Department ID</property>
-  <property name="label_edit">Department ID</property>
+  <property name="label">Department Id</property>
+  <property name="label_edit">Department Id</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/layouts/faculty.xml	(revision 2013)
@@ -41,11 +41,11 @@
  </widget>
  <widget name="code" meta_type="WAeUPId Widget">
-  <property name="title">Faculty ID</property>
+  <property name="title">Faculty Id</property>
   <property name="fields">
    <element value="code"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Faculty ID</property>
-  <property name="label_edit">Faculty ID</property>
+  <property name="label">Faculty Id</property>
+  <property name="label_edit">Faculty Id</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/layouts/waeup_common.xml	(revision 2013)
@@ -10,5 +10,5 @@
  <widget name="Title" meta_type="String Widget">
   <property name="fields">
-   <element value="Title"/>
+   <element value="title"/>
   </property>
   <property name="is_required">False</property>
@@ -16,5 +16,7 @@
   <property name="label_edit">Title</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+    view
+  </property>>
   <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">40</property>
@@ -22,11 +24,11 @@
  </widget>
  <widget name="code" meta_type="WAeUPId Widget">
-  <property name="title">Object ID</property>
+  <property name="title">Object Id</property>
   <property name="fields">
    <element value="code"/>
   </property>
   <property name="is_required">True</property>
-  <property name="label">Object ID</property>
-  <property name="label_edit">Object ID</property>
+  <property name="label">Object Id</property>
+  <property name="label_edit">Object Id</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes">
Index: WAeUP_SRP/trunk/profiles/default/roots/campus.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/roots/campus.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/roots/campus.xml	(revision 2013)
@@ -6,3 +6,4 @@
   <object name="students" portal_type="StudentsFolder" />
   <object name="pins" portal_type="ScratchCardBatchesFolder" />
+  <object name="documents" portal_type="DocumentsFolder" />
 </object>
Index: WAeUP_SRP/trunk/profiles/default/roots/campus/documents.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/roots/campus/documents.xml	(revision 2013)
+++ WAeUP_SRP/trunk/profiles/default/roots/campus/documents.xml	(revision 2013)
@@ -0,0 +1,4 @@
+<?xml version="1.0"?>
+<object name="students">
+  <property name="Title">Documents</property>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/schemas.xml	(revision 2013)
@@ -28,6 +28,6 @@
  <object name="student_create" meta_type="CPS Schema"/>
  <object name="student_personal" meta_type="CPS Schema"/>
- <object name="student_pume" meta_type="CPS Schema"/> 
- <object name="student_returning" meta_type="CPS Schema"/> 
+ <object name="student_pume" meta_type="CPS Schema"/>
+ <object name="student_returning" meta_type="CPS Schema"/>
  <object name="student_search" meta_type="CPS Schema"/>
  <object name="student_study_course" meta_type="CPS Schema"/>
@@ -36,3 +36,4 @@
  <object name="study_level" meta_type="CPS Schema"/>
  <object name="university" meta_type="CPS Schema"/>
+ <object name="waeup_common" meta_type="CPS Schema"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/waeup_common.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/waeup_common.xml	(revision 2013)
+++ WAeUP_SRP/trunk/profiles/default/schemas/waeup_common.xml	(revision 2013)
@@ -0,0 +1,6 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
+<object name="waeup_common" meta_type="CPS Schema">
+ <field name="code" meta_type="CPS String Field"/>
+ <field name="title" meta_type="CPS String Field"/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/skins.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/skins.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/skins.xml	(revision 2013)
@@ -25,4 +25,7 @@
  <object name="waeup_utilities" meta_type="Filesystem Directory View"
     directory="WAeUP_SRP/skins/waeup_utilities"/>
+ <object name="waeup_documents" meta_type="Filesystem Directory View"
+    directory="WAeUP_SRP/skins/waeup_documents"/>    
+    
  <skin-path name="CPSSkins">
   <layer name="waeup_custom" insert-after="custom"/>
@@ -33,4 +36,5 @@
   <layer name="waeup_student" insert-after="waeup_custom"/>
   <layer name="waeup_academics" insert-after="waeup_custom"/>
+  <layer name="waeup_documents" insert-after="waeup_custom"/>
   <layer name="waeup_accommodation" insert-after="waeup_custom"/>
   <layer name="waeup_utilities" insert-after="waeup_custom"/>
@@ -51,4 +55,5 @@
   <layer name="waeup_student" insert-after="waeup_custom"/>
   <layer name="waeup_academics" insert-after="waeup_custom"/>
+  <layer name="waeup_documents" insert-after="waeup_custom"/>
   <layer name="waeup_accommodation" insert-after="waeup_custom"/>
   <layer name="waeup_utilities" insert-after="waeup_custom"/>
Index: WAeUP_SRP/trunk/profiles/default/types.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/types.xml	(revision 2013)
@@ -32,3 +32,5 @@
  <object name="StudyLevel" meta_type="CPS Flexible Type Information"/>
  <object name="University" meta_type="CPS Flexible Type Information"/>
+ <object name="DocumentsFolder" meta_type="CPS Flexible Type Information"/>
+ <object name="WAeUPDocument" meta_type="CPS Flexible Type Information"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/types/DocumentsFolder.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/DocumentsFolder.xml	(revision 2013)
+++ WAeUP_SRP/trunk/profiles/default/types/DocumentsFolder.xml	(revision 2013)
@@ -0,0 +1,53 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<object name="DocumentsFolder" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP Documents Folder</property>
+ <property name="description">The WAeUP Documents Folder</property>
+ <property name="content_icon"></property>
+ <property name="content_meta_type">DocumentsFolder</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addDocumentsFolder</property>
+ <property name="immediate_view">documents_index</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">False</property>
+ <property name="allowed_content_types">
+  <element value="WAeUPDocument"/>
+ </property>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">True</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="common"/>
+  <element value="folder"/>
+ </property>
+ <property name="layouts"/>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="(Default)" to="documents_index"/>
+ <alias from="view" to="documents_index"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/documents_index" visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="Add Document" action_id="new_entry" category="object"
+    condition_expr="here/isSectionOfficer"
+    url_expr="string:${object/absolute_url}/content_create?type_name=WAeUPDocument"
+    visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="action_folder_contents" action_id="contents" category="object"
+    condition_expr="" url_expr="string:${object/absolute_url}/folder_contents"
+    visible="False"/>
+ <action title="Delegate" action_id="localroles" category="object"
+    condition_expr="here/isSectionOfficer" url_expr="string:${object_url}/folder_localrole_form"
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/types/WAeUPDocument.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/types/WAeUPDocument.xml	(revision 2013)
+++ WAeUP_SRP/trunk/profiles/default/types/WAeUPDocument.xml	(revision 2013)
@@ -0,0 +1,55 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="types.xsl"?>
+<object name="WAeUPDocument" meta_type="CPS Flexible Type Information"
+   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
+ <property name="title">WAeUP Document</property>
+ <property name="description"></property>
+ <property name="content_meta_type">WAeUPDocument</property>
+ <property name="product">WAeUP_SRP</property>
+ <property name="factory">addWAeUPDocument</property>
+ <property name="immediate_view">waeup_document_view</property>
+ <property name="global_allow">True</property>
+ <property name="filter_content_types">True</property>
+ <property name="allowed_content_types"/>
+ <property name="allow_discussion">False</property>
+ <property name="cps_is_searchable">True</property>
+ <property name="cps_proxy_type">folder</property>
+ <property name="cps_display_as_document_in_listing">True</property>
+ <property name="schemas">
+  <element value="metadata"/>
+  <element value="waeup_common"/>
+  <element value="document"/>
+ </property>
+ <property name="layouts">
+  <element value="waeup_common"/>
+  <element value="document"/>
+ </property>
+ <property name="layout_clusters">
+  <element value="metadata:metadata"/>
+ </property>
+ <property name="flexible_layouts"/>
+ <property name="storage_methods"/>
+ <property name="cps_is_portlet">False</property>
+ <alias from="create_do" to="waeup_document_create_do"/>
+ <alias from="(Default)" to="waeup_document_view"/>
+ <alias from="view" to="waeup_document_view"/>
+ <action title="View" action_id="view" category="object" condition_expr=""
+    url_expr="string:${object_url}/waeup_document_view" visible="True">
+  <permission value="View"/>
+ </action>
+ <action title="action_edit" action_id="edit" category="object"
+    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
+    visible="True">
+  <permission value="Modify portal content"/>
+ </action>
+ <action title="action_metadata" action_id="metadata" category="object"
+    condition_expr="" url_expr="string:${object_url}/cpsdocument_metadata"
+    visible="False">
+  <permission value="Modify portal content"/>
+ </action>
+ <action title="Delegate" action_id="localroles" category="object"
+    condition_expr="" url_expr="string:${object_url}/folder_localrole_form"
+    visible="False">
+  <permission value="Modify portal content"/>
+ </action>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/vocabularies/local_gov_areas.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/vocabularies/local_gov_areas.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/vocabularies/local_gov_areas.xml	(revision 2013)
@@ -28,5 +28,4 @@
     <item key="abia_ukwu_east" msgid="">Abia / Ukwu East</item>
     <item key="abia_umuahia" msgid="">Abia / Umuahia</item>
-    <item key="abia_umuahia_north" msgid="">Abia / Umuahia North</item>
     <item key="abia_umuahia_south" msgid="">Abia / Umuahia South</item>
     <item key="abia_umuahia-north" msgid="">Abia / Umuahia-North</item>
Index: WAeUP_SRP/trunk/profiles/default/workflows.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 2012)
+++ WAeUP_SRP/trunk/profiles/default/workflows.xml	(revision 2013)
@@ -19,4 +19,5 @@
  <object name="workspace_folder_wf" meta_type="CPS Workflow"/>
  <object name="workspace_folderish_content_wf" meta_type="CPS Workflow"/>
+ <object name="waeup_document_wf" meta_type="CPS Workflow"/>
  <bindings>
   <default/>
@@ -123,4 +124,10 @@
    <bound-workflow workflow_id="workspace_folder_wf"/>
   </type>
+  <type type_id="DocumentsFolder">
+   <bound-workflow workflow_id="waeup_section_wf"/>
+  </type>
+  <type type_id="WAeUPDocument">
+   <bound-workflow workflow_id="waeup_document_wf"/>
+  </type>
  </bindings>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_accommodation/hall_delete.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/hall_delete.py	(revision 2012)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/hall_delete.py	(revision 2013)
@@ -19,6 +19,4 @@
 from Products.CMFCore.utils import getToolByName
 here = context
-if context.portal_type == "University":
-    here = context.academics
 
 ti = getToolByName(here, 'portal_types').getTypeInfo(here.portal_type)
Index: WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py	(revision 2012)
+++ WAeUP_SRP/trunk/skins/waeup_custom/folder_delete.py	(revision 2013)
@@ -13,12 +13,18 @@
 """
 
+import logging
+logger = logging.getLogger('Skins.folder_delete')
+member_id = str(context.portal_membership.getAuthenticatedMember())
+
 from Products.CMFCore.utils import getToolByName
 here = context
-if context.portal_type == "University":
-    here = context.academics
+
+#if context.portal_type == "University":
+#    here = context.academics
 
 ti = getToolByName(here, 'portal_types').getTypeInfo(here.portal_type)
 meth_id = ti.queryMethodID('view', 'folder_contents')
 ret_url = here.absolute_url() + '/' + meth_id
+
 
 
Index: WAeUP_SRP/trunk/skins/waeup_default/getDocumentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/getDocumentInfo.py	(revision 2013)
+++ WAeUP_SRP/trunk/skins/waeup_default/getDocumentInfo.py	(revision 2013)
@@ -0,0 +1,29 @@
+## Script (Python) "getDocumentInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id:getDocumentInfo.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return Info about the Faculties
+"""
+request = context.REQUEST
+
+wf = context.portal_workflow
+path_info = request.get('PATH_INFO').split('/')
+
+mtool = context.portal_membership
+if mtool.isAnonymousUser():
+    return None
+
+info = {}
+try:
+    info['doc'] = context.getContent()
+except:
+    return None
+return info
+
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py	(revision 2012)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_document_create_do.py	(revision 2013)
@@ -10,5 +10,6 @@
 from Products.CMFCore.utils import getToolByName
 request = context.REQUEST
-if type_name in ("StudyLevel","StudentStudyLevel"):
+
+if type_name in ("StudyLevel","StudentStudyLevel","WAeUPDocument"):
     id = datamodel.get('code')
 else:
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 2012)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 2013)
@@ -13,4 +13,36 @@
 <metal:block define-macro="edit_form">
 <metal:block use-macro=template>
+
+
+  <metal:block fill-slot="style_slot">
+    <link rel="Stylesheet" type="text/css" href=""
+      tal:attributes="href string:${base_url}document.css" />
+
+    <metal:block define-macro="widgets_javascript">
+
+    <tal:block condition="python:modules['Products.CPSUtil.integration'].isProductPresent('Products.FCKeditor')">
+      <script type="text/javascript">
+        var popup_editor_form = 'popup_fckeditor_form';
+        var width = 640;
+        var height = 520;
+      </script>
+    </tal:block>
+
+    <script type="text/javascript">
+     function popup_rte(input_id, label_edit) {
+       var args, value;
+       value = document.getElementById(input_id).value;
+       args = '?input_id='+input_id+'&amp;label_edit='+escape(label_edit);
+       str_window_features = 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=1,dependent=1,width=' + width + ',height=' + height;
+       popup = window.open(popup_editor_form + args, input_id, str_window_features);
+       if (!popup.opener) {
+         popup.opener = window;
+       }
+       return false;
+     }
+   </script>
+   </metal:block>
+  </metal:block>
+
   
   <metal:block fill-slot="header">
Index: WAeUP_SRP/trunk/skins/waeup_documents/documents_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_documents/documents_index.py	(revision 2013)
+++ WAeUP_SRP/trunk/skins/waeup_documents/documents_index.py	(revision 2013)
@@ -0,0 +1,23 @@
+## Script (Python) "documents_index"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=batch=None
+##title=
+##
+# $Id: documents_index.py 937 2006-11-25 09:00:34Z henrik $
+"""
+return the appropriate page in the documents section
+"""
+
+request = context.REQUEST
+redirect = request.RESPONSE.redirect
+pm = context.portal_membership
+
+if pm.isAnonymousUser():
+    return redirect("%s/srp_anonymous_view" % context.portal_url())
+else:
+    return context.documents_view()
+
Index: WAeUP_SRP/trunk/skins/waeup_documents/documents_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_documents/documents_view.pt	(revision 2013)
+++ WAeUP_SRP/trunk/skins/waeup_documents/documents_view.pt	(revision 2013)
@@ -0,0 +1,83 @@
+<metal:html tal:define="info context/getDocumentsInfo;
+            is_so context/isSectionOfficer;"
+            >
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:block fill-slot="header">
+      <a href=""
+         tal:attributes="href string:${here/academicsParent}">
+        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
+        Up one level
+      </a>
+      <h3 tal:content="here/title_or_id" />
+      <div tal:condition="python:0" tal:content="info/container_path"/>
+      <br />
+    </metal:block>
+    <metal:main fill-slot="main">
+      <span tal:omit-tag=""  
+            tal:content="structure python: info['doc'].render(layout_mode='view')" />
+      
+      <form action="" method="post" class="group"
+            tal:attributes="action info/action"
+            tal:define="rows python: info['items'];"
+            >
+        <span tal:condition="python: 0" tal:content="structure rows" />
+        <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
+          <tr tal:repeat="row rows"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+            <td align="left" valign="middle" style="width: 5px;" 
+                tal:condition="is_so">
+              <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                     tal:condition="is_so"
+                     tal:define="id row/id"
+                     tal:attributes="value id;
+                     id python:'cb_' + id;
+                     checked python:id in info['choosen_ids'];" 
+                     />
+            </td>
+            <td><a href="view" tal:attributes="href string:${row/url}">
+              <strong tal:content="row/title" /></a> </td>
+            <td tal:content="row/id"> </td>
+
+            <td> 
+            <a tal:condition="row/is_editable"
+                href="edit" tal:attributes="href string:${row/url}/external_edit_form"
+                target="edit"
+                onclick="javascript:window.open('','edit','width=600, height=700, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+                [edit]
+                </a> 
+            </td>
+
+          </tr>
+        </table>
+        <table width="100%" cellspacing="0" cellpadding="2"
+               summary="contents of the folder"
+               class="folderButtons">
+          <tr>
+            <td align="left" valign="top" rowspan="3"></td>
+            <td align="left" valign="top">
+              <span tal:condition="is_so">
+                <input type="button" value="button_select_all" class="context"
+                       onclick="someJavaScriptFunctionThatWillBeReplaced"
+                       i18n:attributes="value"
+                       tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                       % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                       />
+                <input type="submit" name="folder_delete:method" value="button_delete"
+                       class="destructive" i18n:attributes="value"
+                       tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                       (cpsmcat('description_confirm_delete'), )" 
+                       />
+                <input tal:condition="python: context.portal_type not in ('Semester','Certificate')"
+                       type="submit" name="id_rename_form:method"
+                       class="context" value="Change Object ID" i18n:attributes="value" 
+                       />
+              </span>
+            </td>
+          </tr>
+        </table>
+      </form>
+    </metal:main>
+    
+    <metal:sub fill-slot="sub"/>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_documents/getDocumentsInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_documents/getDocumentsInfo.py	(revision 2013)
+++ WAeUP_SRP/trunk/skins/waeup_documents/getDocumentsInfo.py	(revision 2013)
@@ -0,0 +1,46 @@
+## Script (Python) "getDocumentsInfo"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=student=None
+##title=
+##
+# $Id:getFacultiesInfo.py 486 2006-09-06 10:09:39Z joachim $
+"""
+return Info about the Faculties
+"""
+request = context.REQUEST
+def cmp_id(a,b):
+    s1 = "%(id)s" % a
+    s2 = "%(id)s" % b
+    if s1 == s2:
+        return 0
+    if s1 > s2:
+        return 1
+    return -1
+
+wf = context.portal_workflow
+mtool = context.portal_membership
+path_info = request.get('PATH_INFO').split('/')
+
+info = {}
+info['action'] = "%s" % context.absolute_url()
+info['choosen_ids'] = request.get('ids',[])
+info['doc'] = context.getContent()
+
+items = []
+facs = context.portal_catalog(portal_type='WAeUPDocument')
+for f in facs:
+    row = {}
+    fo = f.getObject()
+    fd = fo.getContent()
+    row['id'] = fo.getId()
+    row['title'] = fd.Title()
+    row['url'] = fo.absolute_url()
+    row['is_editable'] = mtool.checkPermission('Modify portal content', fo)
+    items.append(row)
+items.sort(cmp_id)
+info['items'] = items
+return info
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 2012)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 2013)
@@ -76,5 +76,5 @@
     info['clear_doc'].edit(mapping = {'cleared_date': current,})
     wftool.doActionFor(info['student'],'clear_and_validate')
-    psm = "Clearance and eligibility record is validated and and student is cleared!"
+    psm = "Clearance and eligibility record is validated and student is cleared!"
 elif clear_and_validate_button and info['review_state'] == "cleared_and_validated":
     psm = "This student is already cleared!"