Index: WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 2018)
+++ WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 2019)
@@ -169,4 +169,5 @@
               title="Unchecked" priority="6"
               icon_expr="actionicon_reject.png"/>
+              
  <action-icon category="navigation" action_id="home"
               title="Home" priority="0"
@@ -177,16 +178,16 @@
  <action-icon category="navigation"
               action_id="view_accommodation"
-              title="Accommodation" priority="3"
+              title="Accommodation" priority="2"
               icon_expr="blank.gif"/>
  <action-icon category="navigation"
               action_id="view_students" title="Students"
-              priority="2" icon_expr="blank.gif"/>
- <action-icon category="navigation" action_id="view_members"
-              title="Members" priority="4"
-              icon_expr="blank.gif"/>
+              priority="3" icon_expr="blank.gif"/>
  <action-icon category="navigation" action_id="view_pins"
-              title="PINs" priority="5"
-              icon_expr="blank.gif"/>
-  <action-icon category="navigation" action_id="contact_admin"
+              title="PINs" priority="4"
+              icon_expr="blank.gif"/>
+ <action-icon category="navigation"
+              action_id="view_documents" title="Documents"
+              priority="5" icon_expr="blank.gif"/>        
+ <action-icon category="navigation" action_id="contact_admin"
               title="Contact" priority="6"
               icon_expr="blank.gif"/>
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 2018)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 2019)
@@ -91,4 +91,9 @@
    <permission>View</permission>
   </action>
+  <action title="Documents" action_id="view_documents" category="navigation"
+     condition_expr="member" url_expr="string:${portal_url}/campus/documents"
+     visible="True">
+   <permission>View</permission>
+  </action>    
   <action title="Contact" action_id="contact_admin" category="navigation"
      condition_expr="member"
Index: WAeUP_SRP/trunk/profiles/default/cps_portlets.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/cps_portlets.xml	(revision 2018)
+++ WAeUP_SRP/trunk/profiles/default/cps_portlets.xml	(revision 2019)
@@ -35,3 +35,5 @@
  <object name="portlet_workflow_status" meta_type="CPS Portlet"
     portal_type="Custom Portlet"/>
+ <object name="portlet_student_notice" meta_type="CPS Portlet"
+    portal_type="Custom Portlet"/>    
 </object>
Index: WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_session_info.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_session_info.xml	(revision 2018)
+++ WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_session_info.xml	(revision 2019)
Index: WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_student_notice.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_student_notice.xml	(revision 2019)
+++ WAeUP_SRP/trunk/profiles/default/cps_portlets/portlet_student_notice.xml	(revision 2019)
@@ -0,0 +1,43 @@
+<?xml version="1.0"?>
+<object name="portlet_student_notice" meta_type="CPS Portlet"
+   portal_type="Custom Portlet">
+ <f id="Contributors">
+  <e v="Henrik Bettermann"/>
+  <e v="admin"/>
+  <e v="SRP Manager"/>
+  <e v="Perry Schmitz"/>
+ </f>
+ <f id="Coverage" v=""/>
+ <f id="CreationDate" v="20061129154356Z"/>
+ <f id="Creator" v="admin"/>
+ <f id="Description" v=""/>
+ <f id="EffectiveDate" v=""/>
+ <f id="ExpirationDate" v=""/>
+ <f id="Format" v="text/html"/>
+ <f id="Language" v=""/>
+ <f id="ModificationDate" v="20070420061938Z"/>
+ <f id="Relation" v=""/>
+ <f id="Rights" v=""/>
+ <f id="Source" v=""/>
+ <f id="Subject"/>
+ <f id="Title" v="Student Notice Portlet"/>
+ <f id="allow_discussion" v="False"/>
+ <f id="cache_cleanup_date" v="1157829868.36"/>
+ <f id="cache_params"/>
+ <f id="cache_timeout" v="0"/>
+ <f id="custom_cache_params">
+  <e v="no-cache"/>
+ </f>
+ <f id="disable_override" v="0"/>
+ <f id="identifier" v="portlet_252988174"/>
+ <f id="javascript" v=""/>
+ <f id="js_render_method" v=""/>
+ <f id="order" v="0"/>
+ <f id="portlet" v=""/>
+ <f id="preview"/>
+ <f id="provider" v=""/>
+ <f id="render_method" v="portlet_student_notice_display"/>
+ <f id="slot" v="student_notice_slot"/>
+ <f id="slot_override" v="0"/>
+ <f id="visibility_range" v="0-0"/>
+</object>
Index: WAeUP_SRP/trunk/skins/waeup_default/frontpage.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/frontpage.pt	(revision 2019)
+++ WAeUP_SRP/trunk/skins/waeup_default/frontpage.pt	(revision 2019)
@@ -0,0 +1,95 @@
+<metal:html>
+  <metal:body use-macro="here/main_template/macros/master">
+    <metal:main fill-slot="main">
+        <h2>Welcome to the     
+          <br />New Student Registration Portal of the University of Benin, Nigeria</h2>
+        <br />
+        <strong>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part 
+           of the West African e-University Project
+           (<a href="" tal:attributes="href string:http://waeup.org">WAeUP</a>).</strong>
+         
+          <br />  <br />     
+          
+          
+          <h2>Admission into Local/Part-Time Programmes 2006/2007</h2>
+
+          <p><strong>INSTRUCTIONS FOR CHECKING SCREENING 
+                     TEST RESULTS AND ADMISSIONS</strong></p>
+          <br />
+          <ol>
+          <li>Click on 'View CEST Results' (CEST means Common Entrance Screening Test),</li> 
+          <li>enter your Application Number (No Scratch Card is required for this!),</li> 
+          <li>press the "Search" button, </li> 
+          <li>print your Result Slip.</li>
+          
+          <li>If you are admitted or if you are a <strong>Diploma or Non-Exam Programme</strong> applicant, purchase a N250-Admission-Checking and a 
+          N10500-Clearance Scratch Card from any of the following designated banks in Benin City:
+          
+          <br /><br />
+          UBA Plc, Uselu-Ugbowo Rd <br />
+          First Bank Plc, Ugbowo <br />
+          Unity Bank, Uniben <br />
+          Intercontinental Bank, Uniben <br />
+          Wema Bank, Akpakpava Road <br />
+          Zenith Bank Uselu <br /><br />
+          </li>
+          
+          <li>Click "Check Admission",</li> 
+          <li>enter your Registration Number and your Admission Checking PIN (prefix APP),</li> 
+          <li>press the "Check" button,</li> 
+          <li>print your Admission Slip,</li> 
+          <li>buy your Clearance Scratch Card,</li> 
+          <li>log in with your new Student Id (see Admission Slip)
+              and your Password (last 10 digits of your Admission Checking PIN),</li> 
+          <li>press the "Continue" button,</li> 
+          <li>check your email address and phone number,</li> 
+          <li>press the "Save & Continue" button,</li> 
+          <li>enter your Clearance PIN (prefix CLR) and</li> 
+          <li>press the "Start" button.</li> 
+          </ol>
+          <br />       
+          
+          
+          <p><strong>Notice:</strong> Clearance and Orientation for Part-Time and Diploma Students commences on 
+             resumption and ends exactly on <strong><font color="red">1st June 2007</font></strong>. 
+             Part-Time and Diploma Students must fill their 
+             Clearance/Elegibility forms online before 1st June.
+             Any breach of this directive, will result in forfeiture of the adminssion offer. 
+          </p>            
+         
+          <h2>Returning Students</h2>         
+         
+
+          <ol>
+          <li> Simply click "Return 2006/2007", </li> 
+          <li> enter your Matriculation Number and either your firstname, middlename or lastname,</li> 
+          <li> press the "Search" button,</li> 
+          <li> press the "Continue to Login" button, </li> 
+          <li> check if you are the person indicated on the access data form,</li> 
+          <li> enter your email address and phone number,</li> 
+          <li> choose and verify your password (minimum size 5 characters including 1 digit),</li>
+          <li> tick the acknowledgement check box,</li>           
+          <li> press the "Save & First-time Login" button,</li> 
+          <li> print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
+          <li> edit your personal data record,</li> 
+          <li> book your accommodation,</li> 
+          <li> pay your school fee,</li>
+          <li> register your courses.</li>          
+          </ol>
+          
+          <br />
+          <p>If you have to register for <strong>previous sessions</strong> or are a 
+          <strong>temporary withdrawn</strong> student, click "Previous Sessions" 
+          instead of "Return 2006/2007".</p> 
+          
+          <p><strong>Notice:</strong> Full Time Students are expected to register their 
+          courses online on or before <strong><font color="red">31st May 2007</font></strong>. 
+ 
+          </p>          
+         
+      
+          <br />       
+
+    </metal:main>
+  </metal:body>
+</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 2018)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 2019)
@@ -2,7 +2,16 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
+
+      <span tal:condition="python: getattr(context.campus.documents,'frontpage_doc',None)">
+          <div tal:define="doc python: context.campus.documents.frontpage_doc.getContent()"
+               tal:content="structure doc/content" />
+      </span> 
+
+      <span tal:condition="python: not getattr(context.campus.documents,'frontpage_doc',None)">
+
         <h2>Welcome to the     
           <br />New Student Registration Portal of the University of Benin, Nigeria</h2>
         <br />
+        
         <strong>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part 
            of the West African e-University Project
@@ -10,35 +19,75 @@
          
           <br />  <br />     
+         
+          <h2>Returning Students</h2>         
           
+          <p>can view their 2006 session results and log into the portal (free of charge):</p>
           
-          <h2>Admission into Local/Part-Time Programmes 2006/2007</h2>
+          <br />
+          <ul>
+          <li> Simply click "Return 2006/2007", </li> 
+          <li> enter your Matriculation Number and either your firstname, middlename or lastname,</li> 
+          <li> press the "Search" button. </li> 
+          </ul>
+          <br />
+          <p>Your 2006 session results will be shown. Please check the data. 
+             Then proceed to create your member and student records .</p>
+          
+          <br />
+          <ul>
+          <li> Press the "Continue to Login" button, </li> 
+          <li> check if you are the person indicated on the access data form,</li> 
+          <li> enter your email address and phone number,</li> 
+          <li> choose and verify your password (minimum size 5 characters including 1 digit),</li>
+          <li> tick the acknowledgement check box,</li>           
+          <li> press the "Save & First-time Login" button. </li> 
+          </ul>
+          <br />
+          <p>You are logged in and your session results will be shown again. Your GPA has been calculated.</p>
+          <br />
+          <ul>
+          <li> Print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
+          <li> edit your personal data record,</li> 
+          <li> book your accommodation,</li> 
+          <li> pay your school fee,</li>
+          <li> register your courses.</li>          
+          </ul>
+          
+          <br />
+          <p>If you have to register for <strong>previous sessions</strong> or are a 
+          <strong>temporary withdrawn</strong> student, click "Previous Sessions" 
+          instead of "Return 2006/2007".</p> 
+         
+          <br />
+          
+          <h2>New Students</h2>
 
-          <p><strong>INSTRUCTIONS FOR CHECKING SCREENING 
-                     TEST RESULTS AND ADMISSIONS</strong></p>
+          <p>can view their 2006 PUME/PDE/CEST results and admission status (free of charge):</p>
           <br />
-          <ol>
-          <li>Click on 'View CEST Results' (CEST means Common Entrance Screening Test),</li> 
-          <li>enter your Application Number (No Scratch Card is required for this!),</li> 
-          <li>press the "Search" button, </li> 
-          <li>print your Result Slip.</li>
+          <ul>
+          <li> Simply click "View PUME, PDE or CEST Results", </li> 
+          <li> enter your Registration Number and  </li> 
+          <li> press the "Search" button. </li> 
+          </ul>
+          <br />
+          <p>Your result record will be shown.</p>
           
-          <li>If you are admitted or if you are a <strong>Diploma or Non-Exam Programme</strong> applicant, purchase a N250-Admission-Checking and a 
-          N10500-Clearance Scratch Card from any of the following designated banks in Benin City:
+          <p>If you are admitted, proceed with checking your admission details: </p>
+          <br />
+          <ul>
+          <li>Buy your Admission Checking Scratch Card,</li> 
+          <li>click "Check Admission",</li> 
+          <li>enter your Registration Number and your Admission Checking PIN (prefix APP)</li> 
+          <li>press the "Check" button,</li> 
+          <li>print your admission slip and log out.</li> 
+          </ul>
+          <br />
           
-          <br /><br />
-          UBA Plc, Uselu-Ugbowo Rd <br />
-          First Bank Plc, Ugbowo <br />
-          Unity Bank, Uniben <br />
-          Intercontinental Bank, Uniben <br />
-          Wema Bank, Akpakpava Road <br />
-          Zenith Bank Uselu <br /><br />
-          </li>
-          
-          <li>Click "Check Admission",</li> 
-          <li>enter your Registration Number and your Admission Checking PIN (prefix APP),</li> 
-          <li>press the "Check" button,</li> 
-          <li>print your Admission Slip,</li> 
-          <li>buy your Clearance Scratch Card,</li> 
-          <li>log in with your new Student Id (see Admission Slip)
+          <p>You can continue with initiating the clearance process:</p>
+
+          <br />
+          <ul>
+          <li>Buy your Clearance Scratch Card,</li> 
+          <li>log in with your new Student ID (see Admission Slip)
               and your Password (last 10 digits of your Admission Checking PIN),</li> 
           <li>press the "Continue" button,</li> 
@@ -47,49 +96,42 @@
           <li>enter your Clearance PIN (prefix CLR) and</li> 
           <li>press the "Start" button.</li> 
-          </ol>
-          <br />       
-          
-          
-          <p><strong>Notice:</strong> Clearance and Orientation for Part-Time and Diploma Students commences on 
-             resumption and ends exactly on <strong><font color="red">1st June 2007</font></strong>. 
-             Part-Time and Diploma Students must fill their 
-             Clearance/Elegibility forms online before 1st June.
-             Any breach of this directive, will result in forfeiture of the adminssion offer. 
-          </p>            
-         
-          <h2>Returning Students</h2>         
-         
+          </ul>
+          <br />
 
-          <ol>
-          <li> Simply click "Return 2006/2007", </li> 
-          <li> enter your Matriculation Number and either your firstname, middlename or lastname,</li> 
-          <li> press the "Search" button,</li> 
-          <li> press the "Continue to Login" button, </li> 
-          <li> check if you are the person indicated on the access data form,</li> 
-          <li> enter your email address and phone number,</li> 
-          <li> choose and verify your password (minimum size 5 characters including 1 digit),</li>
-          <li> tick the acknowledgement check box,</li>           
-          <li> press the "Save & First-time Login" button,</li> 
-          <li> print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
-          <li> edit your personal data record,</li> 
-          <li> book your accommodation,</li> 
-          <li> pay your school fee,</li>
-          <li> register your courses.</li>          
-          </ol>
-          
+          <p>Candidates are expected to
+          submit their clearance form online and proceed to their respective faculty 
+          for physical clearance by their faculty clearance officer. 
+          Download description of the clearance requirements here:
+          <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance.pdf">UME</a></strong>,
+          <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance_Direct.pdf">DE</a></strong> (1 page).
+          After being cleared you are eligible for booking your accommodation on campus, 
+          you must pay your school fee and register your courses online.
+          </p>
           <br />
-          <p>If you have to register for <strong>previous sessions</strong> or are a 
-          <strong>temporary withdrawn</strong> student, click "Previous Sessions" 
-          instead of "Return 2006/2007".</p> 
-          
-          <p><strong>Notice:</strong> Full Time Students are expected to register their 
-          courses online on or before <strong><font color="red">31st May 2007</font></strong>. 
- 
-          </p>          
-         
+
+          <p>Download detailed technical instructions
+          <strong><a target="_blank" href="http://files.saoas.org/uniben_student_manual.pdf">here</a></strong> (9 pages).
+          Please use the Enquiry form to precisely report errors. 
+          The report must include the time when the error occurred and the exact error message.
+          You will be notified by email when the problem is solved. </p>
+          <br />
+
+          <p>Resumption Date: Clearance and Orientation for Fresh Students (UME) commences 
+          on <strong><font color="red">Monday 11th December 2006</font></strong>. 
+          The exercise ends on <strong><font color="red">Friday 22nd December 2006</font></strong>. 
+          Clearance for Part-Time Students commences on resumption and ends exactly on 
+          <strong><font color="red">1st June 2007</font></strong>. 
+          Any breach of this directive, will result in forfeiture of the adminssion offer.
+          </p>
+       
+          <br />           
       
-          <br />       
-
+      
+      </span>       
+      
     </metal:main>
   </metal:body>
 </metal:html>
+
+
+
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view_old.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view_old.pt	(revision 2018)
+++ 	(revision )
@@ -1,122 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-        <h2>Welcome to the     
-          <br />New Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-        <strong>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part 
-           of the West African e-University Project
-           (<a href="" tal:attributes="href string:http://waeup.org">WAeUP</a>).</strong>
-         
-          <br />  <br />     
-         
-          <h2>Returning Students</h2>         
-          
-          <p>can view their 2006 session results and log into the portal (free of charge):</p>
-          
-          <br />
-          <ul>
-          <li> Simply click "Return 2006/2007", </li> 
-          <li> enter your Matriculation Number and either your firstname, middlename or lastname,</li> 
-          <li> press the "Search" button. </li> 
-          </ul>
-          <br />
-          <p>Your 2006 session results will be shown. Please check the data. 
-             Then proceed to create your member and student records .</p>
-          
-          <br />
-          <ul>
-          <li> Press the "Continue to Login" button, </li> 
-          <li> check if you are the person indicated on the access data form,</li> 
-          <li> enter your email address and phone number,</li> 
-          <li> choose and verify your password (minimum size 5 characters including 1 digit),</li>
-          <li> tick the acknowledgement check box,</li>           
-          <li> press the "Save & First-time Login" button. </li> 
-          </ul>
-          <br />
-          <p>You are logged in and your session results will be shown again. Your GPA has been calculated.</p>
-          <br />
-          <ul>
-          <li> Print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
-          <li> edit your personal data record,</li> 
-          <li> book your accommodation,</li> 
-          <li> pay your school fee,</li>
-          <li> register your courses.</li>          
-          </ul>
-          
-          <br />
-          <p>If you have to register for <strong>previous sessions</strong> or are a 
-          <strong>temporary withdrawn</strong> student, click "Previous Sessions" 
-          instead of "Return 2006/2007".</p> 
-         
-          <br />
-          
-          <h2>New Students</h2>
-
-          <p>can view their 2006 PUME/PDE/CEST results and admission status (free of charge):</p>
-          <br />
-          <ul>
-          <li> Simply click "View PUME, PDE or CEST Results", </li> 
-          <li> enter your Registration Number and  </li> 
-          <li> press the "Search" button. </li> 
-          </ul>
-          <br />
-          <p>Your result record will be shown.</p>
-          
-          <p>If you are admitted, proceed with checking your admission details: </p>
-          <br />
-          <ul>
-          <li>Buy your Admission Checking Scratch Card,</li> 
-          <li>click "Check Admission",</li> 
-          <li>enter your Registration Number and your Admission Checking PIN (prefix APP)</li> 
-          <li>press the "Check" button,</li> 
-          <li>print your admission slip and log out.</li> 
-          </ul>
-          <br />
-          
-          <p>You can continue with initiating the clearance process:</p>
-
-          <br />
-          <ul>
-          <li>Buy your Clearance Scratch Card,</li> 
-          <li>log in with your new Student ID (see Admission Slip)
-              and your Password (last 10 digits of your Admission Checking PIN),</li> 
-          <li>press the "Continue" button,</li> 
-          <li>check your email address and phone number,</li> 
-          <li>press the "Save & Continue" button,</li> 
-          <li>enter your Clearance PIN (prefix CLR) and</li> 
-          <li>press the "Start" button.</li> 
-          </ul>
-          <br />
-
-          <p>Candidates are expected to
-          submit their clearance form online and proceed to their respective faculty 
-          for physical clearance by their faculty clearance officer. 
-          Download description of the clearance requirements here:
-          <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance.pdf">UME</a></strong>,
-          <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance_Direct.pdf">DE</a></strong> (1 page).
-          After being cleared you are eligible for booking your accommodation on campus, 
-          you must pay your school fee and register your courses online.
-          </p>
-          <br />
-
-          <p>Download detailed technical instructions
-          <strong><a target="_blank" href="http://files.saoas.org/uniben_student_manual.pdf">here</a></strong> (9 pages).
-          Please use the Enquiry form to precisely report errors. 
-          The report must include the time when the error occurred and the exact error message.
-          You will be notified by email when the problem is solved. </p>
-          <br />
-
-          <p>Resumption Date: Clearance and Orientation for Fresh Students (UME) commences 
-          on <strong><font color="red">Monday 11th December 2006</font></strong>. 
-          The exercise ends on <strong><font color="red">Friday 22nd December 2006</font></strong>. 
-          Clearance for Part-Time Students commences on resumption and ends exactly on 
-          <strong><font color="red">1st June 2007</font></strong>. 
-          Any breach of this directive, will result in forfeiture of the adminssion offer.
-          </p>
-       
-          <br />       
-
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 2018)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 2019)
@@ -2,4 +2,12 @@
   <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main">
+    
+      <span tal:condition="python: getattr(context.campus.documents,'srp_home_doc',None)">
+          <div tal:define="doc python: context.campus.documents.srp_home_doc.getContent()"
+               tal:content="structure doc/content" />
+      </span>     
+    
+      <span tal:condition="python: not getattr(context.campus.documents,'srp_home_doc',None)">
+      
         <h2>Welcome to the     
           <br />Student Registration Portal of the University of Benin, Nigeria</h2>
@@ -7,4 +15,6 @@
           You are logged in and viewing the portal's root folder. Please go to one of the sections above.     
           
+       </span>
+       
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_view.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_view.py	(revision 2019)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_view.py	(revision 2019)
@@ -0,0 +1,12 @@
+##parameters=
+# $Id: srp_anonymous_view.py 681 2006-10-13 06:43:39Z henrik $
+"""
+"""
+
+REQUEST = context.REQUEST
+
+try:
+    frontpage = getattr(context.portal_url.getPortalObject().campus.documents, 'srp_home_doc')
+    return REQUEST.RESPONSE.redirect('%s/campus/documents/srp_home_doc' % context.portal_url())
+except:
+    return REQUEST.RESPONSE.redirect('%s/srp_home_view' % context.portal_url())
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 2018)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 2019)
@@ -10,15 +10,14 @@
       <span tal:condition="info">
    
-      <a href=""
-         tal:attributes="href string:${here/academicsParent}">
+      <a href="" tal:attributes="href string:${here/academicsParent}">
         <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
         Up one level
       </a>
       
-      <h3> 
+      <h3 tal:condition="here/title"> 
          <span tal:condition="python:is_so and s_name">
            <span tal:content="s_name" />:
          </span>
-         <span tal:content="here/title_or_id" />
+         <span tal:content="here/title" />
       </h3>
       
Index: WAeUP_SRP/trunk/skins/waeup_design/main_template.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 2018)
+++ WAeUP_SRP/trunk/skins/waeup_design/main_template.pt	(revision 2019)
@@ -169,13 +169,18 @@
               <tal:block tal:condition="student_theme" repeat="portlet python:ptool.getPortlets(context=context, slot='student_actions_slot')"
                          tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+
               <span tal:condition="student_theme">
-
-
               <div style="padding: 0em;">
                 <tal:block repeat="portlet python:ptool.getPortlets(context=context, slot='student_workflow')"
                              tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
               </div>
-
-              </span>                         
+                    
+              <div style="padding-top: 10px;">
+              <tal:block repeat="portlet python:ptool.getPortlets(context=context, slot='student_notice_slot')"
+                             tal:content="structure python:portlet.render_cache(context_obj=context, portlet=portlet, boxedit=None)" />
+              </div> 
+              </span> 
+
+
             </div>
           </td>
Index: WAeUP_SRP/trunk/skins/waeup_documents/documents_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_documents/documents_view.pt	(revision 2018)
+++ WAeUP_SRP/trunk/skins/waeup_documents/documents_view.pt	(revision 2019)
@@ -21,5 +21,4 @@
             tal:define="rows python: info['items'];"
             >
-        <span tal:condition="python: 0" tal:content="structure rows" />
         <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
           <tr tal:repeat="row rows"
@@ -35,7 +34,6 @@
                      />
             </td>
-            <td><a href="view" tal:attributes="href string:${row/url}">
-              <strong tal:content="row/title" /></a> </td>
-            <td tal:content="row/id"> </td>
+            <td><strong tal:content="row/title" /></td>
+            <td> <a href="view" tal:attributes="href string:${row/url}"> <span tal:content="row/id" /></a>  </td>
 
             <td> 
Index: WAeUP_SRP/trunk/skins/waeup_student/portlet_student_notice_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/portlet_student_notice_display.pt	(revision 2019)
+++ WAeUP_SRP/trunk/skins/waeup_student/portlet_student_notice_display.pt	(revision 2019)
@@ -0,0 +1,6 @@
+<span tal:condition="python: getattr(context.campus.documents,'student_notice_doc',None)">
+<div style="margin: 5px; padding: 5px; background-color: black; color: white"
+     tal:define="doc python: context.campus.documents.student_notice_doc.getContent()"
+     tal:content="structure doc/content" />
+</span>
+