Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 2029)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 2030)
@@ -92,8 +92,9 @@
   </action>
   <action title="Documents" action_id="view_documents" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/campus/documents"
-     visible="True">
-   <permission>View</permission>
-  </action>    
+     condition_expr="python:portal.campus.documents.isSectionOfficer()" 
+     url_expr="string:${portal_url}/campus/documents"
+     visible="True">
+   <permission>View</permission>
+  </action>
   <action title="Contact" action_id="contact_admin" category="navigation"
      condition_expr="member"
@@ -116,8 +117,4 @@
    <permission>Modify portal content</permission>
   </action>
-  <action title="  " action_id="dummy" category="student_object"
-     condition_expr="" url_expr="" visible="False"/>
-  <action title="  " action_id="dummy2" category="object" condition_expr=""
-     url_expr="" visible="False"/>
   <action title="Apply for PUME" action_id="apply_admission"
      category="student" condition_expr="not:member"
Index: WAeUP_SRP/trunk/skins/waeup_default/.cpsskins_theme.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/.cpsskins_theme.py	(revision 2029)
+++ 	(revision )
@@ -1,12 +1,0 @@
-# Return the right theme in context:
-
-request = container.REQUEST
-RESPONSE =  request.RESPONSE
-
-# Return a string identifying this script.
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-roles = member.getRoles()
-if 'Manager' in roles or 'SectionManager' in roles:
-    return 'WAeUP_Backoffice'
-return 'WAeUP_Student'
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common.py_not_uses
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common.py_not_uses	(revision 2029)
+++ 	(revision )
@@ -1,47 +1,0 @@
-##parameters=REQUEST=None
-# $Id: create_common.py 892 2006-11-18 21:14:18Z henrik $
-"""
-Create a Faculty
-
-"""
-type_name = REQUEST.get('type_name')
-
-ti = context.portal_types[type_name]
-pr = context.portal_registration
-pm = context.portal_membership
-
-validate = REQUEST.has_key("cpsdocument_create_button")
-
-lt = context.portal_layouts
-
-res,psm,ds = lt.renderLayout(layout_id= type_name.lower(),
-                      schema_id= type_name.lower(),
-                      context=context,
-                      mapping=validate and REQUEST,
-                      ob={},
-                      layout_mode='create',
-                      )
-if psm == 'invalid':
-    return context.common_edit_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = 'Please correct your errors!',
-                                 )
-elif psm == '':
-    return context.common_edit_form(rendered = res,
-                                 create = 1,
-                                 type_name = type_name,
-                                 psm = psm,
-                                 )
-
-elif psm == 'valid':
-    oid = "%s" % ds.get('Title').replace(' ','')
-    context.invokeFactory(type_name,oid)
-    object = getattr(context,oid)
-    object.getContent().edit(mapping=ds)
-    context.notifyCPSDocumentCreation(ob=object)
-    psm = 'new %s created!' % oid
-    context_ti = context.portal_types[context.portal_type]
-    index = context_ti.getActionById('view','university_view')
-    return getattr(context,index)(psm=psm)
-
Index: WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/create_common_form.pt_not_used	(revision 2029)
+++ 	(revision )
@@ -1,16 +1,0 @@
-<tal:block define="rendered_main options/rendered;
-                   portal_status_message options/psm;"
-                   >
-<metal:block define-macro="edit_form">
-<metal:block use-macro="here/main_template/macros/master">
-  <metal:block fill-slot="header"/>
-  <metal:block fill-slot="main">
-      <h3>Enter the Data for a <span tal:content="options/type_name" /> </h1>
-      <div tal:replace="structure rendered_main" />
-  </metal:block>
-  <metal:block fill-slot="sub">
-  </metal:block>
-
-</metal:block>
-</metal:block>
-</tal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/illegal_view.pt_not_used
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/illegal_view.pt_not_used	(revision 2029)
+++ 	(revision )
@@ -1,3 +1,0 @@
-<metal:html define-macro="illegal_view">
-  <span tal:define="dummy python:request.RESPONSE.redirect('%s' % context.portal_url())" />
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_student/students_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 2029)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_index.py	(revision 2030)
@@ -31,2 +31,4 @@
     id = str(member)
     return redirect("%s/%s/student_view" % (students_url, id))
+    
+return redirect("%s/srp_invalid_access" % context.portal_url())