Index: /WAeUP_SRP/trunk/skins/waeup_default/getSessionId.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/getSessionId.py	(revision 2030)
+++ /WAeUP_SRP/trunk/skins/waeup_default/getSessionId.py	(revision 2031)
@@ -17,5 +17,5 @@
 import DateTime
 now = DateTime.DateTime()
-if now.month() > 7:
+if now.month() > 8:
     s = "%s" % now.year()
 else:
Index: eUP_SRP/trunk/skins/waeup_default/getSessionString.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/getSessionString.py	(revision 2030)
+++ 	(revision )
@@ -1,18 +1,0 @@
-## Script (Python) "getSessionString"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=
-##title=
-##
-# $Id$
-"""
-return the Session string
-"""
-import DateTime
-now = DateTime.DateTime()
-if now.month() > 7:
-    return "%s/%s" % (now.year(),now.year()+1)
-return "%s/%s" % (now.year()-1,now.year())
Index: /WAeUP_SRP/trunk/skins/waeup_default/getSessionString.py_not_used
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_default/getSessionString.py_not_used	(revision 2031)
+++ /WAeUP_SRP/trunk/skins/waeup_default/getSessionString.py_not_used	(revision 2031)
@@ -0,0 +1,18 @@
+## Script (Python) "getSessionString"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: getSessionString.py 1764 2007-05-10 04:41:04Z henrik $
+"""
+return the Session string
+"""
+import DateTime
+now = DateTime.DateTime()
+if now.month() > 8:
+    return "%s/%s" % (now.year(),now.year()+1)
+return "%s/%s" % (now.year()-1,now.year())
Index: /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 2030)
+++ /WAeUP_SRP/trunk/skins/waeup_design/slip_template.pt	(revision 2031)
@@ -68,14 +68,5 @@
           style="margin: 0px;"
           tal:attributes="onload here/getOnLoad|string:setFocus();">
-    <div>
-      <a href="http://uniben.waeup.org/accessibility" accesskey="0"></a>
-      <a href="http://uniben.waeup.org/" accesskey="1"></a>
-      <a href="#content" accesskey="2"></a>
-      <a href="#menu" accesskey="3"></a>
-      <a href="http://uniben.waeup.org/advanced_search_form"
-         accesskey="4"></a>
-      <a href="http://uniben.waeup.org/" accesskey="7"></a>
-    </div>
-    
+   
     <table summary="Logo Block"
            style="margin-left: auto; margin-right: auto; width: 100%;"
Index: /WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 2030)
+++ /WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 2031)
@@ -17,5 +17,5 @@
           view_only info/view_only"
           >
-      <h3>Course Registration Slip</h3>
+      <h3>Course Registration Slip for <span tal:content="here/title_or_id" /></h3>
       <br />
       <div tal:condition="validated">
Index: /WAeUP_SRP/trunk/skins/waeup_student/create_level.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/create_level.py	(revision 2030)
+++ /WAeUP_SRP/trunk/skins/waeup_student/create_level.py	(revision 2031)
@@ -33,4 +33,5 @@
 cert_id = student.course
 current_level = student.level
+current_session = student.session
 in_progress =  request.get('in_progress','not started')
 #level_created =  request.get('level_created','xxx')
@@ -60,6 +61,6 @@
     level = getattr(context,"%s" % current_level)
     context.portal_workflow.doActionFor(level,'open')
-    study_session = context.getSessionString()
-    level.getContent().edit(mapping={'session': study_session})
+    #study_session = context.getSessionString()
+    level.getContent().edit(mapping={'session': current_session})
     context.portal_workflow.doActionFor(level,'close_for_edit')
     context.waeup_tool.doCommit()
@@ -133,4 +134,15 @@
         context.waeup_tool.doCommit()
 logger.info('%s finished to create level %s' % (student.id,current_level))
+
+if current_session == '05':
+    next_session = '06'
+    next_level = "%s" % (int(current_level) + 100)
+    study_course = getattr(student,'study_course')
+    context.portal_workflow.doActionFor(study_course,'open')
+    study_course_doc = study_course.getContent()
+    study_course_doc.edit(mapping= {'current_level': next_level,
+                                    'current_session': next_session,})
+    context.portal_workflow.doActionFor(study_course,'close_for_edit')
+
 return response.redirect("%s/%s" % (context.absolute_url(),current_level))
 
Index: /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 2030)
+++ /WAeUP_SRP/trunk/skins/waeup_student/getStudyLevelInfo.py	(revision 2031)
@@ -123,4 +123,6 @@
 info['credits_total'] = credits_total
 info['credits_exceeded'] = credits_total > 51
+session_of_level = context.getContent().session
+info['submission_allowed']= not info['credits_exceeded'] and session_of_level == context.getSessionId()[-2:]
 carry_overs.sort(cmp_semester_id)
 info['carry_overs'] = carry_overs
Index: /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 2030)
+++ /WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 2031)
@@ -129,7 +129,9 @@
                      
               <br /><br />
-              <input tal:condition="not: info/credits_exceeded" 
+              <input tal:condition="info/submission_allowed" 
                      type="submit" name="register_courses:method"
-                     class="context" value="Submit" />
+                     class="context" value="Submit to Course Adviser" 
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     ('Do you really want to submit the course list?', )" />
               <span tal:condition="info/credits_exceeded">
                   <font color="red"> <strong>Your total credits exceed 50!</strong></font>