Index: /WAeUP_SRP/trunk/skins/waeup_student/id_card_demo.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/id_card_demo.pt	(revision 2043)
+++ /WAeUP_SRP/trunk/skins/waeup_student/id_card_demo.pt	(revision 2044)
@@ -10,5 +10,5 @@
 
     
-    <table style="border-style:solid; border-width:1px; border-color:black" cellpadding="0px" cellspacing="10px" width="450px" height="300px">
+    <table border=0 style="border-style:solid; border-width:1px; border-color:black" cellpadding="0px" cellspacing="10px" width="450px" height="300px">
     <tr>
       <td colspan=2>
@@ -24,9 +24,12 @@
     
     <tr>
-    <td valign="top">
-      <table style="font-family:Courier New; font-size:100%">
+    <td width="70%" valign="top">
+      <table border=0 style="font-family:Courier New; font-size:100%;
+                              
+                             background-image:url(ilorin_gray_demo.gif); background-repeat:no-repeat; background-position:50px 30px;
+                             background-attachment:scroll;">
   
           <tr>
-            <td>NAMES:</td> 
+            <td valign="top" width="40%">NAMES:</td> 
             <td><span tal:content="info/scatalog/name" /></td>
           </tr>           
@@ -50,9 +53,9 @@
                             >
             <tr>
-              <td>FACULTY:</td>
+              <td valign="top">FACULTY:</td>
               <td tal:content="f_title" />
             </tr>
             <tr>
-              <td>DEPARTMENT:</td> 
+              <td valign="top">DEPARTMENT:</td> 
               <td><span tal:content="d_title" /></td>
             </tr>
@@ -72,16 +75,19 @@
       </td>
       
-      <td>
+      <td width="30%" align="center">
         <table style="font-family:Courier New; font-size:100%">
           <tr>
-            <td tal:condition="python: 'passport' in info['student'].application.getContent().objectIds()">
+            <td align="center" tal:condition="python: 'passport' in info['student'].application.getContent().objectIds()">
             <img height="150px" tal:attributes="src string:${here/portal_url}/campus/students/${info/scatalog/id}/application/passport"/>
             </td>
           </tr>
           <tr >
-           <td style="padding:20px">&nbsp;</td> 
+           <td style="padding:15px">&nbsp;</td> 
           </tr>    
           <tr>
-           <td style="border-top-style:solid; border-top-width:1px; border-top-color:black; margin:100px">Student's Signature</td> 
+           <td align="center" style="border-top-style:solid; border-top-width:1px; 
+                                    border-top-color:black; margin:100px; font-size:80%">
+             Student's Signature
+           </td> 
           </tr>   
         </table>
@@ -93,21 +99,23 @@
       <br /><br />
       
-    <table style="border-style:solid; border-width:1px; border-color:black; font-family:Courier New " 
-                  width="450px" height="300px" cellpadding="0px" cellspacing="10px" >
+    <table border=0 style="border-style:solid; border-width:1px; border-color:black; font-family:Courier New; font-size:100% " 
+                  width="450px" height="300px" cellpadding="0px" cellspacing="0px" >
         
+      
     <tr>
-      <td height="5px">
-        
-      </td>
-    </tr>   
-        
-    <tr>
-      <td style="background-color:black" height="20px">
-        &nbsp;
+      <td>
+        <div style="background-color:black; margin:0px; padding:4px">
+        &nbsp; </div>
+
       </td>
     </tr>        
-    <tr>
+    <tr height="60%" >
       <td>
-      This identity card is not transferrable
+      <div style="padding:10px">This identity card is not transferable. It must be produced anytime it's requested by any 
+      officer of the University or any authorized person(s).
+      <br /><br />
+      Loss of this card must be reported immediately to the registrar, University of Ilorin, P.M.B. 1515,
+      Ilorin, Nigeria. Telephone: (031) 221554, 221557
+      </div>
       </td>
     </tr>
@@ -115,19 +123,24 @@
     <tr>
     <td valign="top">
-      <table>
+      <table border=0  cellpadding="0px" cellspacing="0px" width="100%" style="margin-left:10px;">
           
       <tr>
-        <td>Hall of Residence:</td> 
-        <td><span tal:content="pd/hall" /></td>
+        <td width="50%" valign="top">Hall of Residence:</td> 
+        <td width="10%"><span tal:content="pd/hall" /></td>
+        <td width="40%"></td>
       </tr>        
 
       <tr>
-        <td>Next of Kin:</td> 
+        <td valign="top">Next of Kin:</td> 
         <td><span tal:content="pd/next_kin_lastname"/> <span tal:content="pd/next_kin_firstname"/> <span tal:content="pd/next_kin_middlename"/></td>
+        <td></td>
       </tr>          
 
       <tr>
-        <td>Next of Kin Address:</td> 
+        <td valign="top">Address of Next of Kin:</td> 
         <td><span tal:content="pd/next_kin_address"/>
+        <td align="center" style="font-size:80%">
+             Registrar's Signature
+        </td> 
       </tr>       
       