Index: WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_anonymous_view.pt	(revision 2045)
+++ 	(revision )
@@ -1,9 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-        <h2>Welcome to the     
-          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_index.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 2045)
+++ WAeUP_SRP/trunk/skins/waeup_default/campus_index.py	(revision 2046)
@@ -18,5 +18,6 @@
 
 if pm.isAnonymousUser():
-    return redirect("%s/campus_anonymous_view" % request.get('URL1'))
+    #return redirect("%s/srp_anonymous_view" % request.get('URL1'))
+    return redirect("%s/srp_anonymous_view" %  context.portal_url())
 
 #campus = context.portal_url.getPortalObject().campus
Index: WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/campus_view.pt	(revision 2045)
+++ 	(revision )
@@ -1,9 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-        <h2>Welcome to the     
-          <br />Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-    </metal:main>
-  </metal:body>
-</metal:html>
Index: WAeUP_SRP/trunk/skins/waeup_default/frontpage.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/frontpage.pt	(revision 2045)
+++ 	(revision )
@@ -1,95 +1,0 @@
-<metal:html>
-  <metal:body use-macro="here/main_template/macros/master">
-    <metal:main fill-slot="main">
-        <h2>Welcome to the     
-          <br />New Student Registration Portal of the University of Benin, Nigeria</h2>
-        <br />
-        <strong>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part 
-           of the West African e-University Project
-           (<a href="" tal:attributes="href string:http://waeup.org">WAeUP</a>).</strong>
-         
-          <br />  <br />     
-          
-          
-          <h2>Admission into Local/Part-Time Programmes 2006/2007</h2>
-
-          <p><strong>INSTRUCTIONS FOR CHECKING SCREENING 
-                     TEST RESULTS AND ADMISSIONS</strong></p>
-          <br />
-          <ol>
-          <li>Click on 'View CEST Results' (CEST means Common Entrance Screening Test),</li> 
-          <li>enter your Application Number (No Scratch Card is required for this!),</li> 
-          <li>press the "Search" button, </li> 
-          <li>print your Result Slip.</li>
-          
-          <li>If you are admitted or if you are a <strong>Diploma or Non-Exam Programme</strong> applicant, purchase a N250-Admission-Checking and a 
-          N10500-Clearance Scratch Card from any of the following designated banks in Benin City:
-          
-          <br /><br />
-          UBA Plc, Uselu-Ugbowo Rd <br />
-          First Bank Plc, Ugbowo <br />
-          Unity Bank, Uniben <br />
-          Intercontinental Bank, Uniben <br />
-          Wema Bank, Akpakpava Road <br />
-          Zenith Bank Uselu <br /><br />
-          </li>
-          
-          <li>Click "Check Admission",</li> 
-          <li>enter your Registration Number and your Admission Checking PIN (prefix APP),</li> 
-          <li>press the "Check" button,</li> 
-          <li>print your Admission Slip,</li> 
-          <li>buy your Clearance Scratch Card,</li> 
-          <li>log in with your new Student Id (see Admission Slip)
-              and your Password (last 10 digits of your Admission Checking PIN),</li> 
-          <li>press the "Continue" button,</li> 
-          <li>check your email address and phone number,</li> 
-          <li>press the "Save & Continue" button,</li> 
-          <li>enter your Clearance PIN (prefix CLR) and</li> 
-          <li>press the "Start" button.</li> 
-          </ol>
-          <br />       
-          
-          
-          <p><strong>Notice:</strong> Clearance and Orientation for Part-Time and Diploma Students commences on 
-             resumption and ends exactly on <strong><font color="red">1st June 2007</font></strong>. 
-             Part-Time and Diploma Students must fill their 
-             Clearance/Elegibility forms online before 1st June.
-             Any breach of this directive, will result in forfeiture of the adminssion offer. 
-          </p>            
-         
-          <h2>Returning Students</h2>         
-         
-
-          <ol>
-          <li> Simply click "Return 2006/2007", </li> 
-          <li> enter your Matriculation Number and either your firstname, middlename or lastname,</li> 
-          <li> press the "Search" button,</li> 
-          <li> press the "Continue to Login" button, </li> 
-          <li> check if you are the person indicated on the access data form,</li> 
-          <li> enter your email address and phone number,</li> 
-          <li> choose and verify your password (minimum size 5 characters including 1 digit),</li>
-          <li> tick the acknowledgement check box,</li>           
-          <li> press the "Save & First-time Login" button,</li> 
-          <li> print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
-          <li> edit your personal data record,</li> 
-          <li> book your accommodation,</li> 
-          <li> pay your school fee,</li>
-          <li> register your courses.</li>          
-          </ol>
-          
-          <br />
-          <p>If you have to register for <strong>previous sessions</strong> or are a 
-          <strong>temporary withdrawn</strong> student, click "Previous Sessions" 
-          instead of "Return 2006/2007".</p> 
-          
-          <p><strong>Notice:</strong> Full Time Students are expected to register their 
-          courses online on or before <strong><font color="red">31st May 2007</font></strong>. 
- 
-          </p>          
-         
-      
-          <br />       
-
-    </metal:main>
-  </metal:body>
-</metal:html>