Index: WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py	(revision 2066)
+++ WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py	(revision 2067)
@@ -31,4 +31,8 @@
                    'courses_validated',
                    )
+
+full_time =       ('ume_ft','de_ft','ug_ft','pg_ft')
+part_time =       (         'de_pt','ug_pt','pg_pt')
+
 faculties = context.portal_catalog(portal_type="Faculty")
 
@@ -41,15 +45,34 @@
 dict['id'] = 'All Faculties'
 dict['title'] = 'All Faculties'
-res = context.students_catalog(entry_session = entry_sessions)
-dict['total'] = len(res)
+
+res_ft = context.students_catalog(entry_session = entry_sessions,  mode = full_time)
+dict['total_ft'] = len(res_ft)
+
+res_pt = context.students_catalog(entry_session = entry_sessions,  mode = part_time)
+dict['total_pt'] = len(res_pt)
+
 for state in new_states:
-    res = context.students_catalog(entry_session = entry_sessions, review_state = state)
-    dict[state] = len(res)
-    statepercent = state+'_percent'
-    if dict['total'] > 0:
-        dict[statepercent] = "%.0f" % round(dict[state]*100.0/dict['total'])
+    # full_time
+    res_ft = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = full_time)
+    state_ft = state + '_ft'
+    dict[state_ft] = len(res_ft)
+    statepercent = state+'_ft_percent'
+    if dict['total_ft'] > 0:
+        dict[statepercent] = "%.0f" % round(dict[state_ft]*100.0/dict['total_ft'])
     else:
         dict[statepercent] = 0
+        
+    # part_time
+    res_pt = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = part_time)
+    state_pt = state + '_pt'
+    dict[state_pt] = len(res_pt)
+    statepercent = state+'_pt_percent'
+    if dict['total_pt'] > 0:
+        dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
+    else:
+        dict[statepercent] = 0        
+        
 l.append(dict)
+
 
 for f in faculties:
@@ -57,15 +80,32 @@
     dict['id'] = f.getId
     dict['title'] = f.Title
-    res = context.students_catalog(entry_session = entry_sessions, faculty = f.getId)
-    dict['total'] = len(res)
+    res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = full_time)
+    dict['total_ft'] = len(res_ft)
+    res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = part_time)
+    dict['total_pt'] = len(res_pt)    
     for state in new_states:
-        res = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state)
-        dict[state] = len(res)
-        statepercent = state+'_percent'
-        if dict['total'] > 0:
-            dict[statepercent] = "%.0f" % round(dict[state]*100.0/dict['total'])
+        # full_time
+        res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = full_time)
+        state_ft = state + '_ft'
+        dict[state_ft] = len(res_ft)
+        statepercent = state+'_ft_percent'
+        if dict['total_ft'] > 0:
+            dict[statepercent] = "%.0f" % round(dict[state_ft]*100.0/dict['total_ft'])
         else:
             dict[statepercent] = 0
+            
+        # part_time
+        res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = part_time)
+        state_pt = state + '_pt'
+        dict[state_pt] = len(res_pt)
+        statepercent = state+'_pt_percent'
+        if dict['total_pt'] > 0:
+            dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
+        else:
+            dict[statepercent] = 0            
+            
     l.append(dict)
+
+
 
 return l
Index: WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py	(revision 2066)
+++ WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py	(revision 2067)
@@ -27,4 +27,7 @@
                    'courses_validated',
                    )
+full_time =       ('ume_ft','de_ft','ug_ft','pg_ft')
+part_time =       (         'de_pt','ug_pt','pg_pt')                   
+                   
 faculties = context.portal_catalog(portal_type="Faculty")
 
@@ -37,15 +40,34 @@
 dict['id'] = 'All Faculties'
 dict['title'] = 'All Faculties'
-res = context.students_catalog(entry_session = entry_sessions)
-dict['total'] = len(res)
+
+res_ft = context.students_catalog(entry_session = entry_sessions,  mode = full_time)
+dict['total_ft'] = len(res_ft)
+
+res_pt = context.students_catalog(entry_session = entry_sessions,  mode = part_time)
+dict['total_pt'] = len(res_pt)
+
 for state in ret_states:
-    res = context.students_catalog(entry_session = entry_sessions, review_state = state)
-    dict[state] = len(res)
-    statepercent = state+'_percent'
-    if dict['total'] > 0:
-        dict[statepercent] = "%.0f" % round(dict[state]*100.0/dict['total'])
+    # full_time
+    res_ft = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = full_time)
+    state_ft = state + '_ft'
+    dict[state_ft] = len(res_ft)
+    statepercent = state+'_ft_percent'
+    if dict['total_ft'] > 0:
+        dict[statepercent] = "%.0f" % round(dict[state_ft]*100.0/dict['total_ft'])
     else:
         dict[statepercent] = 0
+        
+    # part_time
+    res_pt = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = part_time)
+    state_pt = state + '_pt'
+    dict[state_pt] = len(res_pt)
+    statepercent = state+'_pt_percent'
+    if dict['total_pt'] > 0:
+        dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
+    else:
+        dict[statepercent] = 0        
+        
 l.append(dict)
+
 
 for f in faculties:
@@ -53,14 +75,29 @@
     dict['id'] = f.getId
     dict['title'] = f.Title
-    res = context.students_catalog(entry_session = entry_sessions, faculty = f.getId)
-    dict['total'] = len(res)
+    res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = full_time)
+    dict['total_ft'] = len(res_ft)
+    res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = part_time)
+    dict['total_pt'] = len(res_pt)    
     for state in ret_states:
-        res = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state)
-        dict[state] = len(res)
-        statepercent = state+'_percent'
-        if dict['total'] > 0:
-            dict[statepercent] = "%.0f" % round(dict[state]*100.0/dict['total'])
+        # full_time
+        res_ft = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = full_time)
+        state_ft = state + '_ft'
+        dict[state_ft] = len(res_ft)
+        statepercent = state+'_ft_percent'
+        if dict['total_ft'] > 0:
+            dict[statepercent] = "%.0f" % round(dict[state_ft]*100.0/dict['total_ft'])
         else:
             dict[statepercent] = 0
+            
+        # part_time
+        res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = part_time)
+        state_pt = state + '_pt'
+        dict[state_pt] = len(res_pt)
+        statepercent = state+'_pt_percent'
+        if dict['total_pt'] > 0:
+            dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
+        else:
+            dict[statepercent] = 0            
+            
     l.append(dict)
 
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt	(revision 2066)
+++ WAeUP_SRP/trunk/skins/waeup_student/statistics_new_view.pt	(revision 2067)
@@ -20,4 +20,8 @@
       <br />      
       <span tal:condition="not:isAnon">
+
+      <h3>Full-Time Students (UME, DE, UG, PG)</h3>
+      <br />      
+      
         <table>
           <tr class="odd ajaxtd">
@@ -38,41 +42,103 @@
               <td width="80px"> <span tal:content="d/id" /> </td>
               <td width="80px" align="right">
-                <span tal:content="d/total" />
+                <span tal:content="d/total_ft" />
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/admitted" />
-                (<span tal:content="d/admitted_percent" />%)
+                <span tal:content="d/admitted_ft" />
+                (<span tal:content="d/admitted_ft_percent" />%)
               </td>              
               <td width="80px" align="right"> 
-                <span tal:content="d/objection_raised" />
-                (<span tal:content="d/objection_raised_percent" />%)
+                <span tal:content="d/objection_raised_ft" />
+                (<span tal:content="d/objection_raised_ft_percent" />%)
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/clearance_pin_entered" />
-                (<span tal:content="d/clearance_pin_entered_percent" />%)
+                <span tal:content="d/clearance_pin_entered_ft" />
+                (<span tal:content="d/clearance_pin_entered_ft_percent" />%)
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/clearance_requested" />
-                (<span tal:content="d/clearance_requested_percent" />%)
+                <span tal:content="d/clearance_requested_ft" />
+                (<span tal:content="d/clearance_requested_ft_percent" />%)
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/cleared_and_validated" />
-                (<span tal:content="d/cleared_and_validated_percent" />%)
+                <span tal:content="d/cleared_and_validated_ft" />
+                (<span tal:content="d/cleared_and_validated_ft_percent" />%)
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/school_fee_paid" />
-                (<span tal:content="d/school_fee_paid_percent" />%)
+                <span tal:content="d/school_fee_paid_ft" />
+                (<span tal:content="d/school_fee_paid_ft_percent" />%)
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/courses_registered" />
-                (<span tal:content="d/courses_registered_percent" />%)
+                <span tal:content="d/courses_registered_ft" />
+                (<span tal:content="d/courses_registered_ft_percent" />%)
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/courses_validated" />
-                (<span tal:content="d/courses_validated_percent" />%)
+                <span tal:content="d/courses_validated_ft" />
+                (<span tal:content="d/courses_validated_ft_percent" />%)
               </td>                                          
 
           </tr>
         </table>
+
+      <h3>Part-Time Students (DE, UG, PG)</h3>
+      <br />      
+
+        <table>
+          <tr class="odd ajaxtd">
+            <th >Faculty</th>
+            <th align="right">Total New</th>
+            <th align="right">AD</th>
+            <th align="right">OR</th>
+            <th align="right">CPE</th>
+            <th align="right">CR</th>
+            <th align="right">VC</th>
+            <th align="right">SFP</th>
+            <th align="right">CLR</th>
+            <th align="right">CLV</th>
+
+          </tr>
+          <tr tal:repeat="d faculties"
+              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td width="80px"> <span tal:content="d/id" /> </td>
+              <td width="80px" align="right">
+                <span tal:content="d/total_pt" />
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/admitted_pt" />
+                (<span tal:content="d/admitted_pt_percent" />%)
+              </td>              
+              <td width="80px" align="right"> 
+                <span tal:content="d/objection_raised_pt" />
+                (<span tal:content="d/objection_raised_pt_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/clearance_pin_entered_pt" />
+                (<span tal:content="d/clearance_pin_entered_pt_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/clearance_requested_pt" />
+                (<span tal:content="d/clearance_requested_pt_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/cleared_and_validated_pt" />
+                (<span tal:content="d/cleared_and_validated_pt_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/school_fee_paid_pt" />
+                (<span tal:content="d/school_fee_paid_pt_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/courses_registered_pt" />
+                (<span tal:content="d/courses_registered_pt_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/courses_validated_pt" />
+                (<span tal:content="d/courses_validated_pt_percent" />%)
+              </td>                                          
+
+          </tr>
+        </table>
+
+
+
         <br />
         <table>
Index: WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt	(revision 2066)
+++ WAeUP_SRP/trunk/skins/waeup_student/statistics_ret_view.pt	(revision 2067)
@@ -20,4 +20,8 @@
       <br />      
       <span tal:condition="not:isAnon">
+
+      <h3>Full-Time Students (UME, DE, UG, PG)</h3>
+      <br />            
+      
         <table>
           <tr class="odd ajaxtd">
@@ -34,25 +38,66 @@
               <td width="80px"> <span tal:content="d/id" /> </td>
               <td width="80px" align="right">
-                <span tal:content="d/total" />
+                <span tal:content="d/total_ft" />
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/returning" />
-                (<span tal:content="d/returning_percent" />%)
+                <span tal:content="d/returning_ft" />
+                (<span tal:content="d/returning_ft_percent" />%)
               </td>              
               <td width="80px" align="right"> 
-                <span tal:content="d/school_fee_paid" />
-                (<span tal:content="d/school_fee_paid_percent" />%)
+                <span tal:content="d/school_fee_paid_ft" />
+                (<span tal:content="d/school_fee_paid_ft_percent" />%)
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/courses_registered" />
-                (<span tal:content="d/courses_registered_percent" />%)
+                <span tal:content="d/courses_registered_ft" />
+                (<span tal:content="d/courses_registered_ft_percent" />%)
               </td>
               <td width="80px" align="right"> 
-                <span tal:content="d/courses_validated" />
-                (<span tal:content="d/courses_validated_percent" />%)
+                <span tal:content="d/courses_validated_ft" />
+                (<span tal:content="d/courses_validated_ft_percent" />%)
               </td>                                          
 
           </tr>
         </table>
+
+      <h3>Part-Time Students (DE, UG, PG)</h3>
+      <br />           
+
+        <table>
+          <tr class="odd ajaxtd">
+            <th >Faculty</th>
+            <th align="right">Total</th>
+            <th align="right">RET</th>
+            <th align="right">SFP</th>
+            <th align="right">CLR</th>
+            <th align="right">CLV</th>
+
+          </tr>
+          <tr tal:repeat="d faculties"
+              tal:attributes="class python:test(repeat['d'].even(), 'even ajaxtd', 'odd ajaxtd')">
+              <td width="80px"> <span tal:content="d/id" /> </td>
+              <td width="80px" align="right">
+                <span tal:content="d/total_pt" />
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/returning_pt" />
+                (<span tal:content="d/returning_pt_percent" />%)
+              </td>              
+              <td width="80px" align="right"> 
+                <span tal:content="d/school_fee_paid_pt" />
+                (<span tal:content="d/school_fee_paid_pt_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/courses_registered_pt" />
+                (<span tal:content="d/courses_registered_pt_percent" />%)
+              </td>
+              <td width="80px" align="right"> 
+                <span tal:content="d/courses_validated_pt" />
+                (<span tal:content="d/courses_validated_pt_percent" />%)
+              </td>                                          
+
+          </tr>
+        </table>
+
+        
         <br />
         <table>